org.openmuc.openiec61850

## Class BdaCheck

- java.lang.Object
- - org.openmuc.openiec61850.ModelNode
  - - org.openmuc.openiec61850.FcModelNode
    - - org.openmuc.openiec61850.BasicDataAttribute
      - - org.openmuc.openiec61850.BdaBitString
        - - org.openmuc.openiec61850.BdaCheck

All Implemented Interfaces:
  java.lang.Iterable<ModelNode>

    public final class BdaCheck
    extends BdaBitString

Check packed list according to 61850-7-2

### Field Summary

### Fields inherited from class org.openmuc.openiec61850.ModelNode

`children, objectReference`

### Constructor Summary

Constructors
Constructor and Description
`BdaCheck(ObjectReference objectReference)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BdaCheck` `copy()` Returns a copy of model node with all of its children.
`boolean` `getInterlockCheck()`
`boolean` `getSynchrocheck()`
`void` `setInterlockCheck(boolean interlockCheck)`
`void` `setSynchrocheck(boolean synchrocheck)`
`java.lang.String` `toString()`

### Methods inherited from class org.openmuc.openiec61850.BdaBitString

`getMaxNumBits, getValue, setDefault, setValue`

### Methods inherited from class org.openmuc.openiec61850.BasicDataAttribute

`getBasicDataAttributes, getBasicType, getChild, getChild, getChildren, getDchg, getDupd, getQchg, getSAddr, iterator`

### Methods inherited from class org.openmuc.openiec61850.FcModelNode

`getFc`

### Methods inherited from class org.openmuc.openiec61850.ModelNode

`getIterators, getName, getParent, getReference`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### BdaCheck

    public BdaCheck(ObjectReference objectReference)

### Method Detail

#### getSynchrocheck

    public boolean getSynchrocheck()

#### getInterlockCheck

    public boolean getInterlockCheck()

#### setSynchrocheck

    public void setSynchrocheck(boolean synchrocheck)

#### setInterlockCheck

    public void setInterlockCheck(boolean interlockCheck)

#### copy

    public BdaCheck copy()

Description copied from class: `ModelNode`
Returns a copy of model node with all of its children. Creates new BasicDataAttribute values but reuses ObjectReferences, FunctionalConstraints.

Specified by:
  `copy` in class `ModelNode`
Returns:
  a copy of model node with all of its children.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `BdaBitString`